{% extends 'Admin/admin.html.twig' %}

{% block extraTitle %} - Gestion des Mondes{% endblock %}

{% block javascripts %}
    <script type="text/javascript" src="{{ asset('js/admin/WorldMapCreation.js') }}"></script>
{% endblock %}

{% block adminContent %}
    <form action="{{ path('createWorld') }}" method="POST">
        <h3>Créer un nouveau monde : </h3>
        <br>
        <p>
            <label>
                Langue :
                <select id="lang" name="lang" onchange="onChangedLanguage()">
                    <option value="French">🇫🇷 Français</option>
                    <option value="English">🇬🇧 Anglais</option>
                    <option value="Spanish">🇪🇸 Espagnol</option>
                    <option value="German">🇩🇪 Allemand</option>
                </select>
            </label>
            <br><br>
            <label>
                Nom :
                <select id="worldName" name="worldName">
                    <option value="EternalKingdom">EternalKingdom</option>
                </select>
            </label>
            <br><br>
            <label>
                Données de Monde à utiliser :
                <select id="worldDataName" name="worldDataName" onchange="onChangedWorldData()">
                    {% for name in worldDataNames %}
                        <option value="{{ name }}">Data - {{ name }}</option>
                    {% endfor %}
                </select>
            </label>
            <label id="worldInfo" style="color: #606060; font-style: italic">
                Type, largeur, Longueur
            </label>
            <br><br>
            <label>
                Vitesse :
                <select id="speed" name="speed">
                    <option value="0">Blitz (x1)</option>
                    <option value="1">Quick (x5)</option>
                    <option value="2">Regular (x10)</option>
                    <option value="3">Slow (x20)</option>
                </select>
            </label>
            <br><br>
            <label>
                Nombre de slot :
                <input id="slotCount" type="number" class="inputsearch" name="slotCount" value="50" onchange="onChangedSlotCount()">
            </label>
            <br><br>
            <input type="submit" class="button" value="Confirmer">
        </p>
    </form>
{% endblock %}